<!-- No need to extend logged base -->
{% extends "front/base_unlogged.html" %}
{% load i18n %}

{% block content %}

  <div class="row">
    <div class="col-md-3"></div>
    <div class="col-md-6">
      <h1>{% trans "Alterar Palavra-passe" %}</h1>

      {% if pwd_form %}
      <form class="form" method="post">{% csrf_token %}
        <table>
          {{ pwd_form.as_table }}
        </table>

        <div class="row">
          <div class="col-xs-6">
          </div>
          <div class="col-xs-6 text-right">
            <button class="btn btn-primary" type="submit" value="register">{% trans "Alterar" %}</button>
          </div>
        </div>
      </form>
      {% endif %}

      {% if response %}
      <p class="text-warning text-large">{{ response }}</p>

      {% if not user.is_authenticated and token_valid %}
      <button class="btn btn-default" onclick="location.href='{% url 'front:login' %}'"> {% trans "Entrar em sessão" %}</button>
      {% endif %}

      {% endif %}

      {% if user.is_authenticated %}
      <button class="btn btn-default" onclick="location.href='{% url 'front:profile' %}'"><span class="glyphicon glyphicon-arrow-left"></span> {% trans "Voltar ao Perfil" %}</button>
      {% endif %}
    </div>
    <div class="col-md-3"></div>
  </div>

{% endblock content %}